1.0

1.0

get /v1/apis/{api_id}/deployments

Description

Get api deployments list

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 31e749b7b260868f441e862b
stringNone
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
querydeployment_id
optional
Name
Example : 27bb070b564349f8a31cc60734cc36a5
any of [string, null]None
querystage_name
optional
Stage Name
Example : test-stage
string

Responses

HTTP CodeDescriptionSchema
200OKApiDeploymentListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/deployments

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = apigateway 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "deployments": [
        {
            "deployment_date": "2024-05-17T00:23:17Z",
            "deployment_id": "27bb070b564349f8a31cc60734cc36a5",
            "description": "description",
            "status": "Active"
        }
    ]
}